Subject: Re: bug#68244: hash-table improvements

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Feb 2024 19:12:06 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Tue, 20 Feb 2024 17:11:23 +0100
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> 20 feb. 2024 kl. 15.00 skrev Eli Zaretskii <[email-masked]>:
> 
> > How many different platforms and configurations tried to build and use
> > the branch?  For such a change, I think I'd like to see all the major
> > platforms be able to compile and run it, before we land it.
> 
> In this case the risk for platform-specific bugs is not high (no system-dependent code nor, from what I can tell, any architecture or configuration-dependent code(*)).

Famous last words ;-)

> Of course accidents can always happen. If someone would like to try building the scratch/obarray branch on a non-64-bit machine then I'd be very grateful.

Please ask on emacs-devel that the branch be tried on platforms you
didn't try it, and let's please wait for a few days to give people
chance to do that and report back.

Thanks.